Docs Rizler

Pipeline

Update Pipeline Stage

PUThttps://app.rizzdial.com/api/pipeline/stages/update/{id}
Update Pipeline Stage
curl --request PUT \
  --url https://app.rizzdial.com/api/pipeline/stages/update/Mg== \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "stage_name": "Qualified"
}'
{
  "data": {
    "id": "Mg==",
    "stage_name": "Qualified",
    "pipeline_id": "MQ=="
  },
  "message": "Stage updated successfully.",
  "success": true
}

Update Pipeline Stage#

Renames a stage. stage_name is required, max 255 characters.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 stage id

stage_namestringbodyrequired

New stage name

curl --request PUT \
  --url https://app.rizzdial.com/api/pipeline/stages/update/Mg== \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"stage_name":"Qualified"}'
successboolean

true when the stage is saved

messagestring

Stage updated successfully.

dataobject

The updated stage. id and pipeline_id are base64